E-MailRelay

Public Member Functions | List of all members
GSsl::DigesterImpBase Class Referenceabstract

A base interface for GSsl::Digester pimple classes. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::DigesterImpBase:

## Public Member Functions
virtual | ~DigesterImpBase ()=default
| Destructor.
virtual void | add (const std::string &)=0
| Implements Digester::add().
virtual std::string | value ()=0
| Implements Digester::value().
virtual std::string | state ()=0
| Implements Digester::state().
virtual std::size_t | blocksize () const =0
| Implements Digester::blocksize().
virtual std::size_t | valuesize () const =0
| Implements Digester::valuesize().
virtual std::size_t | statesize () const =0
| Implements Digester::statesize().

## Detailed Description

A base interface for GSsl::Digester pimple classes.

Definition at line 482 of file gssl.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl.h